Categories:
  - Navigation
License: GPL-2.0-only
WebSite: https://www.xcsoar.org
SourceCode: https://github.com/XCSoar/XCSoar
IssueTracker: https://github.com/XCSoar/XCSoar/issues
Translation: https://hosted.weblate.org/projects/xcsoar
Changelog: https://github.com/XCSoar/XCSoar/blob/HEAD/NEWS.txt

AutoName: XCSoar
Description: |-
    XCSoar is a tactical glide computer for soaring and para glider pilots. It
    supports navigation, airspace warnings, final glide calculations, wind
    calculation, collision avoidance and many many more features.

RepoType: git
Repo: https://github.com/XCSoar/XCSoar

Builds:
  - versionName: 6.7.3
    versionCode: 92
    commit: v6.7.3
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: 6.7.4
    versionCode: 93
    commit: v6.7.4
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: 6.7.5
    versionCode: 94
    commit: v6.7.5
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: 6.7.6
    versionCode: 95
    commit: v6.7.6
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: 6.7.7
    versionCode: 96
    commit: v6.7.7
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: 6.7.8
    versionCode: 97
    commit: v6.7.8
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: 6.7.9
    versionCode: 98
    commit: v6.7.9
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: '6.8'
    versionCode: 99
    commit: v6.8
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: 6.8.1
    versionCode: 100
    commit: v6.8.1
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: 6.8.2
    versionCode: 101
    commit: v6.8.2
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: 6.8.3
    versionCode: 102
    commit: v6.8.3
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done

  - versionName: 6.8.5
    versionCode: 105
    commit: v6.8.5
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done
    ndk: r10e

  - versionName: 6.8.6
    versionCode: 106
    commit: v6.8.6
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done
    ndk: r10e

  - versionName: 6.8.7
    versionCode: 107
    commit: v6.8.7
    subdir: android
    submodules: true
    output: ../output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
    build:
      - cd ..
      - for n in 1 2 3; do make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j4 output/ANDROIDFAT/bin/XCSoar-release-unsigned.apk
      - break; done
    ndk: r10e

  - versionName: 6.8.8
    versionCode: 108
    commit: v6.8.8
    submodules: true
    sudo: apt-get install -y g++
    output: output/ANDROID7/opt/build/unsigned.apk
    rm:
      - android/ioio/software/IOIODude/lib
      - android/ioio/software/IOIOLib/target/pc/lib
      - android/ioio/software/applications/IOIOConnectionTester/lib
    build: make TARGET=ANDROID7 DEBUG=n TESTING=n -j`nproc`
    ndk: r15c

  - versionName: 6.8.9b
    versionCode: 110
    commit: v6.8.9b
    submodules: true
    sudo: apt-get install -y g++
    output: output/ANDROID7/opt/build/unsigned.apk
    rm:
      - android/ioio/software/IOIODude/lib
      - android/ioio/software/IOIOLib/target/pc/lib
      - android/ioio/software/applications/IOIOConnectionTester/lib
    build: make TARGET=ANDROID7 DEBUG=n TESTING=n -j`nproc`
    ndk: r15c

  - versionName: 6.8.10
    versionCode: 111
    commit: v6.8.10
    submodules: true
    sudo: apt-get install -y g++
    output: output/ANDROID7/opt/build/unsigned.apk
    rm:
      - android/ioio/software/IOIODude/lib
      - android/ioio/software/IOIOLib/target/pc/lib
      - android/ioio/software/applications/IOIOConnectionTester/lib
    build: make TARGET=ANDROID7 DEBUG=n TESTING=n -j`nproc`
    ndk: r15c

  - versionName: 6.8.11
    versionCode: 112
    commit: v6.8.11
    submodules: true
    sudo: apt-get install -y g++
    output: output/ANDROID7/opt/build/unsigned.apk
    rm:
      - android/ioio/software/IOIODude/lib
      - android/ioio/software/IOIOLib/target/pc/lib
      - android/ioio/software/applications/IOIOConnectionTester/lib
    build: make TARGET=ANDROID7 DEBUG=n TESTING=n -j`nproc`
    ndk: r15c

  - versionName: 6.8.12
    versionCode: 113
    commit: v6.8.12
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ vorbis-tools librsvg2-bin
      - apt-get install -y -t testing imagemagick
    output: output/ANDROID7NEON/opt/build/unsigned.apk
    rm:
      - android/ioio/software/IOIODude/lib
      - android/ioio/software/IOIOLib/target/pc/lib
      - android/ioio/software/applications/IOIOConnectionTester/lib
    build: make TARGET=ANDROID7NEON DEBUG=n TESTING=n -j`nproc`
    ndk: r15c

  - versionName: 6.8.16
    versionCode: 118
    commit: v6.8.16
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ vorbis-tools librsvg2-bin imagemagick
    output: output/ANDROID7NEON/opt/build/unsigned.apk
    rm:
      - android/ioio/release/*.zip
      - android/ioio/release/apps/*.zip
      - android/ioio/release/software/*.zip
      - android/ioio/release/firmware/device-bootloader/*.zip
      - android/ioio/release/firmware/bootloader/*.zip
      - android/ioio/software/IOIODude/lib
      - android/ioio/software/IOIOLib/target/pc/lib
      - android/ioio/software/applications/IOIOConnectionTester/lib
      - android/ioio/software/applications/pc/jar-in-jar-loader.zip
    build: make TARGET=ANDROID7NEON DEBUG=n TESTING=n -j`nproc`
    ndk: r15c

  - versionName: 6.8.17
    versionCode: 119
    commit: v6.8.17
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ vorbis-tools librsvg2-bin imagemagick
    output: output/ANDROID7NEON/opt/build/unsigned.apk
    rm:
      - android/ioio/release/*.zip
      - android/ioio/release/apps/*.zip
      - android/ioio/release/software/*.zip
      - android/ioio/release/firmware/device-bootloader/*.zip
      - android/ioio/release/firmware/bootloader/*.zip
      - android/ioio/software/IOIODude/lib
      - android/ioio/software/IOIOLib/target/pc/lib
      - android/ioio/software/applications/IOIOConnectionTester/lib
      - android/ioio/software/applications/pc/jar-in-jar-loader.zip
    build: make TARGET=ANDROID7NEON DEBUG=n TESTING=n -j`nproc`
    ndk: r15c

  - versionName: '7.8'
    versionCode: 129
    commit: v7.8
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick
    output: output/ANDROID7NEON/opt/build/unsigned.apk
    rm:
      - android/ioio/release/*.zip
      - android/ioio/release/apps/*.zip
      - android/ioio/release/software/*.zip
      - android/ioio/release/firmware/device-bootloader/*.zip
      - android/ioio/release/firmware/bootloader/*.zip
      - android/ioio/software/IOIODude/lib
      - android/ioio/software/IOIOLib/target/pc/lib
      - android/ioio/software/applications/IOIOConnectionTester/lib
      - android/ioio/software/applications/pc/jar-in-jar-loader.zip
    build: make TARGET=ANDROID7NEON DEBUG=n TESTING=n -j`nproc`
    ndk: r22b

  - versionName: '7.11'
    versionCode: 132
    commit: v7.11
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    output: output/ANDROID7NEON/opt/build/unsigned.apk
    srclibs:
      - cpython@v3.9.6
    prebuild: $$SDK$$/tools/bin/sdkmanager 'platforms;android-29' 'build-tools;29.0.3'
        > /dev/null
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build:
      - python3.9 -m venv .
      - source bin/activate
      - make TARGET=ANDROID7NEON DEBUG=n TESTING=n -j`nproc`
    ndk: r22b

  - versionName: '7.15'
    versionCode: 136
    commit: ac7bf8c261fcc16b842ad3e3e6500b199ccd0ba5
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick
      - pushd build/srclib/cpython
      - ./configure
      - make -j`nproc`
      - make altinstall
      - popd
    output: output/ANDROID/opt/build/unsigned.apk
    srclibs:
      - cpython@v3.9.6
    prebuild: $$SDK$$/tools/bin/sdkmanager 'platforms;android-29' 'build-tools;29.0.3'
        > /dev/null
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build:
      - python3.9 -m venv .
      - source bin/activate
      - make TARGET=ANDROID DEBUG=n TESTING=n -j`nproc`
    ndk: r22b

  - versionName: '7.27'
    versionCode: 148
    commit: 96d98f3d7de6ab851d0d0774c7e9ba1489c71f86
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox m4 xsltproc cmake xz-utils pkg-config
    output: output/ANDROID/opt/build/unsigned.apk
    prebuild: sdkmanager 'platforms;android-30' 'build-tools;29.0.3'
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r25b

  - versionName: '7.28'
    versionCode: 149
    commit: 49c37d870f1e00b3600aa8f77fbfc9c2150b5672
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox m4 xsltproc cmake xz-utils pkg-config
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r25b

  - versionName: '7.29'
    versionCode: 150
    commit: 4b9c0b048ba250526c7f504f7ff79dbab8c85193
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox m4 xsltproc cmake xz-utils pkg-config
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r25b

  - versionName: '7.30'
    versionCode: 151
    commit: b32faf31a537471c6863efffe0cb1e0a90a598e4
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox m4 xsltproc cmake xz-utils pkg-config
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r25b

  - versionName: '7.31'
    versionCode: 152
    commit: 83e6916ec9fd9b4d16abab4efb6712a90d773a2f
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox automake xsltproc cmake xz-utils pkg-config libtool
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r25b

  - versionName: '7.32'
    versionCode: 153
    commit: e3c5a68c37c9f5b7b7a8265159ed25726fe44b8c
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox automake xsltproc cmake xz-utils pkg-config libtool
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r25b

  - versionName: '7.33'
    versionCode: 154
    commit: e122cbc553a49af473ab35c8109e6e9491727e92
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox automake xsltproc cmake xz-utils pkg-config libtool
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r25b

  - versionName: '7.34'
    versionCode: 155
    commit: 9987faaef8b07f711031d13a303a4bf0729c485d
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox automake xsltproc cmake xz-utils pkg-config libtool
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r25b

  - versionName: '7.35'
    versionCode: 156
    commit: c5c49879417dda654534795db92e14526e373794
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox automake xsltproc cmake xz-utils pkg-config libtool
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r25b

  - versionName: '7.36'
    versionCode: 157
    commit: a626d3efe0fdc723a855b1db45665e0218e34962
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox automake xsltproc cmake xz-utils pkg-config libtool
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r25b

  - versionName: '7.37'
    versionCode: 158
    commit: 33fbf7be6d14a9b067dec92a703f6f4a30515665
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox automake xsltproc cmake xz-utils pkg-config libtool
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r26-beta1

  - versionName: '7.38'
    versionCode: 159
    commit: 7f3184b8f40f0a72a2f86ecca9b1a6e07f54b038
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox automake xsltproc cmake xz-utils pkg-config libtool
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r26-beta1

  - versionName: '7.39'
    versionCode: 160
    commit: 1418e0dceb48bc5797185efa1bbbcfb425df2dac
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build g++ vorbis-tools librsvg2-bin imagemagick make
        gettext quilt sox automake xsltproc cmake xz-utils pkg-config libtool
    output: output/ANDROID/opt/build/aligned.apk
    prebuild:
      - platforms=$(grep ANDROID_SDK_PLATFORM build/targets.mk | sed -E 's/.*android-([0-9]+)/\1/')
      - build_tools=$(grep build-tools build/android.mk | sed -E 's/.*\/([0-9.]+)$/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
    scandelete:
      - android/ioio
      - android/UsbSerial/usbserial/eclipse_lib
    build: make TARGET=ANDROIDFAT DEBUG=n TESTING=n -j`nproc`
    ndk: r26-beta1

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: '7.39'
CurrentVersionCode: 160
